parameters tnRecno, ;
	tcAlias
private lcAlias

* If no alias was passed, use the alias in the
* current workarea.

do case
	case type('tcAlias') <> 'C' or empty(tcAlias)
		lcAlias = alias()
	case not used(tcAlias)
		wait window 'Alias ' + tcAlias + ' not found.'
		lcAlias = ''
	otherwise
		lcAlias = tcAlias
endcase

* Move the record pointer.

do case
	case empty(lcAlias)
	case ('Visual' $ version() and tnRecno < 0) or ;
		between(tnRecno, 1, reccount(lcAlias))
		go tnRecno in (lcAlias)
	otherwise
		go bottom in (lcAlias)
		if not eof()
			skip in (lcAlias)
		endif not eof()
endcase
return
